Subject: Re: bug#8003: 23.1; Background of mouse is incorrect

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Sep 2019 22:04:33 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sat, 28 Sep 2019 20:15:30 +0200
> Cc: "[email-masked]'" <[email-masked]>
> 
> Huafeng Zhou <[email-masked]> writes:
> 
> > Again. It is found that mouse-color is defined in default-frame-alist as following.
> > (setq default-frame-alist
> >       (append (list '(foreground-color . "black")
> >             '(mouse-color . "white")
> >             '(cursor-color . "black")
> >             '(width . 120)
> >             '(height . 50)
> >        default-frame-alist))
> > The above 'mouse-color' was effective although the following were defined in parallel.
> > '(mouse ((t (:background "blue" :foreground "black" :box (:line-width 2 :color "black" :style released-button) :underline "black")))))
> 
> Hm, I tried reproducing this now in Emacs 27, but then I realised I
> didn't know what to look for.  What is the `mouse' face used for?  It
> can't be the mouse pointer, I guess, and it's not used for
> highlighting.  I tried grepping, but the only usage I could find was in
> speedbar.el.

The 'mouse' face's background color is the color of the mouse pointer.
See the description of 'mouse-color' frame parameter in the node "Font
and Color Parameters" in the ELisp manual.